## org.eclipse.wst.server.core.model
Class RuntimeTargetHandlerDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.RuntimeTargetHandlerDelegate

Direct Known Subclasses:
  ClasspathRuntimeTargetHandler

Deprecated. This function is deprecated.

    public abstract class RuntimeTargetHandlerDelegate

extends java.lang.Object

A runtime target handler is used when associating a runtime with a particular project. It has the ability to make any changes it requires on the projects - adding or removing files, setting up the classpath, etc.

This abstract class is intended to be extended only by clients to extend the `runtimeTargetHandlers` extension point.

Constructor Summary
`RuntimeTargetHandlerDelegate()` Deprecated.

Method Summary
`IRuntimeTargetHandler` `getRuntimeTargetHandler()` Deprecated. Returns the runtime target handler that this delegate is associated with.
`void` `initialize(IRuntimeTargetHandler newHandler)` Deprecated. Initializes the runtime target handler.
`abstract void` `removeRuntimeTarget(IProject project, IRuntime runtime, IProgressMonitor monitor)` Deprecated. Remove the runtime target from the given project.
`abstract void` `setRuntimeTarget(IProject project, IRuntime runtime, IProgressMonitor monitor)` Deprecated. Set the runtime target on the given project.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeTargetHandlerDelegate

    public RuntimeTargetHandlerDelegate()

  Deprecated.

Method Detail

### initialize

    public final void initialize(IRuntimeTargetHandler newHandler)

  Deprecated.
  Initializes the runtime target handler.

  Parameters:
    `newHandler` - the new handler

### getRuntimeTargetHandler

    public IRuntimeTargetHandler getRuntimeTargetHandler()

  Deprecated.
  Returns the runtime target handler that this delegate is associated with.

  Returns:
    the runtime target handler

### setRuntimeTarget

    public abstract void setRuntimeTarget(IProject project,
                                          IRuntime runtime,
                                          IProgressMonitor monitor)
                                   throws CoreException

  Deprecated.
  Set the runtime target on the given project.

  Parameters:
    `project` - the project to set the runtime on
    `runtime` - the target runtime
    `monitor` - a progress monitor, or `null` if progress reporting and cancellation are not desired
  Throws:
    `CoreException` - thrown if there is a problem setting the runtime

### removeRuntimeTarget

    public abstract void removeRuntimeTarget(IProject project,
                                             IRuntime runtime,
                                             IProgressMonitor monitor)
                                      throws CoreException

  Deprecated.
  Remove the runtime target from the given project.

  Parameters:
    `project` - the project to remove the runtime from
    `runtime` - the target runtime
    `monitor` - a progress monitor, or `null` if progress reporting and cancellation are not desired
  Throws:
    `CoreException` - thrown if there is a problem removing the runtime